CRYPTO_SHASH_SETKEY(9)

NAME
crypto_shash_setkey - set key for message digest

SYNOPSIS

int crypto_shash_setkey(struct crypto_shash * tfm, const u8 * key, unsigned int keylen);

ARGUMENTS

tfm
    cipher handle

key
    buffer holding the key

keylen
    length of the key in bytes

DESCRIPTION

The caller provided key is set for the keyed message digest cipher. The cipher handle must point to a keyed message digest cipher in order for this function to succeed.

RETURN

0 if the setting of the key was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT